Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.blocks
Interface ReplicatedHashMap.Notification<K extends java.io.Serializable,V extends java.io.Serializable>

All Known Implementing Classes:
  ReplicatedHashMapDemo

Enclosing class:
  ReplicatedHashMap<K extends java.io.Serializable,V extends java.io.Serializable>

    public static interface ReplicatedHashMap.Notification<K extends java.io.Serializable,V extends java.io.Serializable>

Method Summary
`void` | `contentsCleared()`
`void` | `contentsSet(java.util.Map<K,V> new_entries)`
`void` | `entryRemoved(K key)`
`void` | `entrySet(K key, V value)`
`void` | `viewChange(View view, java.util.Vector<Address> new_mbrs, java.util.Vector<Address> old_mbrs)`

Method Detail

### entrySet

    void entrySet(K key,
                  V value)

### entryRemoved

    void entryRemoved(K key)

### viewChange

    void viewChange(View view,
                    java.util.Vector<Address> new_mbrs,
                    java.util.Vector<Address> old_mbrs)

### contentsSet

    void contentsSet(java.util.Map<K,V> new_entries)

### contentsCleared

    void contentsCleared()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.